com.sun.jna.platform

## Class FileMonitor.FileEvent

- java.lang.Object
- - java.util.EventObject
  - - com.sun.jna.platform.FileMonitor.FileEvent

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  FileMonitor

    public class FileMonitor.FileEvent
    extends java.util.EventObject

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`FileEvent(java.io.File file, int type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.io.File` `getFile()`
`int` `getType()`
`java.lang.String` `toString()`

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FileEvent

    public FileEvent(java.io.File file,
                     int type)

### Method Detail

#### getFile

    public java.io.File getFile()

#### getType

    public int getType()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.util.EventObject`

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.